---
updatedAt: 2025-06-03T01:07:32.000Z
agentTools:
  projectIndex: https://docs.knack.com/v3/llms.txt
---

# View-Based DELETE

To delete a record from an object, send a DELETE request to any view which contains a [delete link](https://learn.knack.com/article/5p5w28ce1s-delete-records). Views that can accept a delete request include the following:

* Tables
* Lists
* Searches
* Calendars
* Details

**URL**\
`DELETE https://api.knack.com/v1/pages/scene_xx/views/view_yy/records/record_ID`

**Parameters**

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Explanation
      </th>

      <th>
        Example
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        scene\_xx
      </td>

      <td>
        [scene key](https://docs.knack.com/docs/user-tokens)
      </td>

      <td>
        scene\_3
      </td>
    </tr>

    <tr>
      <td>
        view\_yy
      </td>

      <td>
        [view key](https://docs.knack.com/docs/user-tokens)
      </td>

      <td>
        view\_5
      </td>
    </tr>

    <tr>
      <td>
        record\_ID
      </td>

      <td>
        [A record’s ID](https://docs.knack.com/docs/finding-record-ids)
      </td>

      <td>
        575482d691e16d4235adcdb6
      </td>
    </tr>
  </tbody>
</Table>

**Headers**

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Key
      </th>

      <th>
        Value
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        X-Knack-Application-Id
      </td>

      <td>
        Your [application ID](https://docs.knack.com/docs/api-key-app-id)
      </td>
    </tr>

    <tr>
      <td>
        X-Knack-REST-API-KEY
      </td>

      <td>
        knack
      </td>
    </tr>

    <tr>
      <td>
        Authorization
      </td>

      <td>
        A [user token](https://docs.knack.com/docs/user-tokens)valid for the view (if view is nested under a login)
      </td>
    </tr>
  </tbody>
</Table>

**Example Request**

```curl
# NOTE: In order for this request to work, you will need to add a "delete" link to the View Company Details view (on the Company Details page)
curl -X DELETE "https://api.knack.com/v1/pages/scene_10/views/view_9/records/586504ff070097a1461db2ae" \
  -H "X-Knack-Application-Id: YOUR-APP-ID" \
  -H "X-Knack-REST-API-Key: knack"
```

**Example Response (200 OK)**

```json
{
  "delete": true
}
```